## ssft 0.9.11

=== Makefile ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2006 Sergio Talens-Oliag <sto@debian.org>

# VARIABLES
prefix = /usr/local
bindir = $(prefix)/bin
mandir = $(prefix)/share/man
locale = $(prefix)/share/locale

# Calculated variables
pkgname = $(shell head -1 debian/changelog | sed -e 's/ .*//')
version = $(shell head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\1/')

all:
	@echo Use a target like: dist, install or uninstall

dist:
	# Build distribution tarfile
	test -d $(pkgname)-$(version) && rm -rf $(pkgname)-$(version) || true
	mkdir $(pkgname)-$(version)
	fakeroot debian/rules clean || true
	cp -a COPYING debian Makefile man po src tests $(pkgname)-$(version)
	tar czf ../$(pkgname)-$(version).tar.gz --exclude=.svn $(pkgname)-$(version)
	rm -rf $(pkgname)-$(version)

install:
	# Install script
	install -D -m 0755 src/ssft.sh $(bindir)/ssft.sh
	sed -i -e "s%@VERSION@%$(version)%g;  \
	           s%@PACKAGE@%$(pkgname)%g;  \
		   s%@LOCALEDIR@%$(locale)%g" \
	  $(bindir)/ssft.sh
	# Install manpages
	install -D -m 0644 man/ssft.sh.1 $(mandir)/man1/ssft.sh.1
	gzip -f9 $(mandir)/man1/ssft.sh.1
	# Install .mo files
	for po in `ls po/*.po 2> /dev/null`; do \
	  lang="`echo $$po | sed -e 's@^po/@@;s@.po$$@@'`"; \
	  ldir="$(locale)/$$lang/LC_MESSAGES"; \
	  mkdir -p $$ldir; \
	  msgfmt "$$po" -o "$$ldir/$(pkgname).mo"; \
	  chmod 0644 "$$ldir/$(pkgname).mo"; \
	done

uninstall:
	# Remove script
	rm -f $(bindir)/ssft.sh
	# Remove manpage
	rm -f $(mandir)/ssft.sh.1.gz
	# Remove .mo files (does not clean up dirs)
	find $(locale)/ -name $(pkgname).mo -exec rm -f {} \;

# Special rule for package developers (L10N)
SHELL_FILES=src/ssft.sh tests/ssft-test.sh
pot: update-pot
update-pot:
	rm -f "po/ssft.pot";
	# Generate new .pot file
	xgettext -L Shell -o "po/ssft.pot" $(SHELL_FILES);
	# Update .po files
	for f in `ls po/*.po 2> /dev/null`; do \
	  echo "Updating '$$f' file";  \
	  msgmerge -U $$f po/ssft.pot; \
          echo "$$f: `msgfmt -o /dev/null --statistics $$f 2>&1`"; \
	done

## ssft 0.9.10

=== debian/changelog ===
ssft (0.9.10) unstable; urgency=low

  * The make Jordi KDE free release.
  * Changed the Recommends line, now it uses zenity | kdebase-bin to avoid
    installing kdebase-bin (or zenity) when using 'aptitude install'. 

 -- Sergio Talens-Oliag <sto@debian.org>  Wed, 26 Apr 2006 23:41:02 +0200

ssft (0.9.9) unstable; urgency=low

  * Fixed small error on default handling for non-interactive use of
    ssft_select_single.

 -- Sergio Talens-Oliag <sto@debian.org>  Mon, 20 Mar 2006 22:00:01 +0100

ssft (0.9.8) unstable; urgency=low

  * Added french translation (Closes: Bug#357375).

 -- Sergio Talens-Oliag <sto@debian.org>  Fri, 17 Mar 2006 21:12:22 +0100

ssft (0.9.7) unstable; urgency=low

  * Changed po naming scheme to make it more standard (Closes: Bug#356057).

 -- Sergio Talens-Oliag <sto@debian.org>  Thu,  9 Mar 2006 14:18:32 +0100

ssft (0.9.6) unstable; urgency=low

  * Don't force set -e when sourcing ssft.sh, allowing interactive testing of
    the functions without surprises like unexpected exits from the shell.

 -- Sergio Talens-Oliag <sto@debian.org>  Wed,  8 Mar 2006 23:12:43 +0100

ssft (0.9.5) unstable; urgency=low

  [ Jordi Mallach ]
  * Update Catalan and Spanish translations.

  [ Sergio Talens-Oliag ]
  * Fix behaviour when gettext.sh is not available.

 -- Sergio Talens-Oliag <sto@debian.org>  Tue,  7 Mar 2006 22:33:42 +0100

ssft (0.9.4) unstable; urgency=low

  * Reintroduce 'ssft_display_emsg' function (a lot of my own code uses it ;).

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 21 Feb 2006 13:27:43 +0100

ssft (0.9.3) unstable; urgency=low

  * Modified defaults usage on select_single with the text frontend (now an
    empty string selects the default value).
  * Fixed package description on the control file (mention kdialog).
  * Updated translations.

 -- Sergio Talens-Oliag <sto@debian.org>  Mon, 20 Feb 2006 10:59:08 +0100

ssft (0.9.2) unstable; urgency=low

  * Added kdialog support.
  * Added support for default values on read_string, select_simple and
    select_multiple functions.

 -- Sergio Talens-Oliag <sto@debian.org>  Sun, 19 Feb 2006 20:00:02 +0100

ssft (0.9.1) unstable; urgency=low

  * Fixed compatibility issues with non Debian systems following advices from:
      http://mixinet.net/stoblog/debian/20060214-ssft?showcomments=yes
    Have not fixed $(( )) and $() usage as it seems POSIX supports them (see
    http://www.opengroup.org/onlinepubs/009695399/utilities/xcu_chap02.html).

 -- Sergio Talens-Oliag <sto@debian.org>  Wed, 15 Feb 2006 11:01:52 +0100

ssft (0.9) unstable; urgency=low

  * Initial version, should be 1.0, but maybe a little bit of testing before
    that is better ;).

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 14 Feb 2006 20:38:34 +0100

=== debian/control ===
Source: ssft
Section: utils
Priority: optional
Maintainer: Sergio Talens-Oliag <sto@debian.org>
Build-Depends: cdbs, debhelper (>= 4.2)
Build-Depends-Indep: dpkg-dev (>= 1.9), gettext
Standards-Version: 3.6.2.1

Package: ssft
Architecture: all
Recommends: gettext-base, dialog, zenity | kdebase-bin
Description: Shell Scripts Frontend Tool
 Shell function library useful to build shell script frontends.
 .
 The library defines a set of functions to display messages and read values
 from the user on X (using zenity or kdialog) or console (using dialog or
 plain text) and has been designed to be used by sourcing the library code
 from other scripts.
 .
 The library supports L10N if gettext.sh is installed.

## ssft 0.9.11

=== debian/changelog ===
ssft (0.9.11) unstable; urgency=low

  * Fix ssft_choose_frontend behaviour when running on X and neither zenity
    nor kdialog are available.
  * Updated standards to 3.7.2.2. The package does not respect the Debian
  * policy section entitled "Scripts" (§10.4) as updated on version 3.7.0.0
    (the ssft library is installed as `/usr/bin/ssft.sh`), but I feel that in
    this particular case it makes sense to keep the `.sh` extension; it was
    used with the same idea of  the `/etc/init.d/*.sh` scripts (see
    `/etc/init.d/README`), that is, the script has to be sourced, not
    executed.

 -- Sergio Talens-Oliag <sto@debian.org>  Wed, 27 Dec 2006 10:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergio Talens-Oliag <sto@debian.org>
 Build-Depends: cdbs, debhelper (>= 4.2)
 Build-Depends-Indep: dpkg-dev (>= 1.9), gettext
-Standards-Version: 3.6.2.1
+Standards-Version: 3.7.2.2
 
 Package: ssft
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2006 Sergio Talens-Oliag <sto@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk

# Replace version on the shell library program
binary-post-install/ssft::
	sed -i -e "s%@VERSION@%$(DEB_NOEPOCH_VERSION)%g; \
	           s%@PACKAGE@%ssft%g;                   \
		   s%@LOCALEDIR@%/usr/share/locale%g" \
	  debian/$(cdbs_curpkg)/usr/bin/ssft.sh

# Build & install locale files (the locale files should be named after the
# package they belong to, this code applies to all the packages)
$(patsubst %,binary-post-install/%,$(DEB_PACKAGES)) :: binary-post-install/%: binary-install/%
	for po in `ls po/*.po 2> /dev/null`; do \
	  lang="`echo $$po | sed -e 's@^po/@@;s@.po$$@@'`"; \
	  ldir="debian/$(cdbs_curpkg)/usr/share/locale/$$lang/LC_MESSAGES"; \
	  mkdir -p $$ldir; \
	  msgfmt "$$po" -o "$$ldir/$(cdbs_curpkg).mo"; \
	done

# Special rules for package developers (L10N)
SHELL_FILES=src/ssft.sh tests/ssft-test.sh
pot: update-pot
update-pot:
	rm -f "po/ssft.pot";
	# Generate new .pot file
	xgettext -L Shell -o "po/ssft.pot" $(SHELL_FILES);
	# Update .po files
	for f in `ls po/*.po 2> /dev/null`; do \
	  echo "Updating '$$f' file";  \
	  msgmerge -U $$f po/ssft.pot; \
          echo "$$f: `msgfmt -o /dev/null --statistics $$f 2>&1`"; \
	done

## ssft 0.9.12

=== debian/changelog ===
ssft (0.9.12) unstable; urgency=low

  * Updated standards, packaging and manual page.
  * Re-licensed under the GPL-3.
  * Applied patch to update ssft_progress_bar for kdialog (KDE4) dbus
    interface (Closes: Bug#532530).

 -- Sergio Talens-Oliag <sto@debian.org>  Wed, 10 Jun 2009 23:08:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Sergio Talens-Oliag <sto@debian.org>
-Build-Depends: cdbs, debhelper (>= 4.2)
+Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dpkg-dev (>= 1.9), gettext
-Standards-Version: 3.7.2.2
+Standards-Version: 3.8.1.0
 
 Package: ssft
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: gettext-base, dialog, zenity | kdebase-bin
 Description: Shell Scripts Frontend Tool
  Shell function library useful to build shell script frontends.

## ssft 0.9.13

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Copyright © 2006 Sergio Talens-Oliag <sto@debian.org>
 
 # VARIABLES
+DESTDIR = 
+
 prefix = /usr/local
 bindir = $(prefix)/bin
 mandir = $(prefix)/share/man
@@ -26,18 +28,19 @@
 
 install:
 	# Install script
-	install -D -m 0755 src/ssft.sh $(bindir)/ssft.sh
-	sed -i -e "s%@VERSION@%$(version)%g;  \
-	           s%@PACKAGE@%$(pkgname)%g;  \
-		   s%@LOCALEDIR@%$(locale)%g" \
-	  $(bindir)/ssft.sh
+	install -D -m 0755 src/ssft.sh $(DESTDIR)$(bindir)/ssft.sh
+	sed -i -e "\
+	  s%@VERSION@%$(version)%g;  \
+	  s%@PACKAGE@%$(pkgname)%g;  \
+	  s%@LOCALEDIR@%$(locale)%g; \
+	" $(DESTDIR)$(bindir)/ssft.sh
 	# Install manpages
-	install -D -m 0644 man/ssft.sh.1 $(mandir)/man1/ssft.sh.1
-	gzip -f9 $(mandir)/man1/ssft.sh.1
+	install -D -m 0644 man/ssft.sh.1 $(DESTDIR)$(mandir)/man1/ssft.sh.1
+	gzip -f9 $(DESTDIR)$(mandir)/man1/ssft.sh.1
 	# Install .mo files
 	for po in `ls po/*.po 2> /dev/null`; do \
 	  lang="`echo $$po | sed -e 's@^po/@@;s@.po$$@@'`"; \
-	  ldir="$(locale)/$$lang/LC_MESSAGES"; \
+	  ldir="$(DESTDIR)$(locale)/$$lang/LC_MESSAGES"; \
 	  mkdir -p $$ldir; \
 	  msgfmt "$$po" -o "$$ldir/$(pkgname).mo"; \
 	  chmod 0644 "$$ldir/$(pkgname).mo"; \
@@ -45,11 +48,11 @@
 
 uninstall:
 	# Remove script
-	rm -f $(bindir)/ssft.sh
+	rm -f $(DESTDIR)$(bindir)/ssft.sh
 	# Remove manpage
-	rm -f $(mandir)/ssft.sh.1.gz
+	rm -f $(DESTDIR)$(mandir)/ssft.sh.1.gz
 	# Remove .mo files (does not clean up dirs)
-	find $(locale)/ -name $(pkgname).mo -exec rm -f {} \;
+	find $(DESTDIR)$(locale)/ -name $(pkgname).mo -exec rm -f {} \;
 
 # Special rule for package developers (L10N)
 SHELL_FILES=src/ssft.sh tests/ssft-test.sh

=== debian/changelog ===
ssft (0.9.13) unstable; urgency=low

  * Added ssft_directory_selection function (Closes: Bug#536734).
  * Added a test for the function.
  * Updated translations.

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 14 Jul 2009 00:47:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergio Talens-Oliag <sto@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dpkg-dev (>= 1.9), gettext
-Standards-Version: 3.8.1.0
+Standards-Version: 3.8.2
 
 Package: ssft
 Architecture: all

## ssft 0.9.14

=== debian/changelog ===
ssft (0.9.14) unstable; urgency=low

  * Use SSFT_PAGER, /usr/bin/sensible-pager or fallback to the PAGER variable
    if sensible-pager is not available (Closes: Bug#576524).
  * Added a README file to the package in asciidoc format (Closes: Bug#576525).
  * Fixed small manpage typo (Closes: Bug#580132).
  * Set maximum width and height for kdialog and zenity when displaying a
    file (Closes: Bug#406936).
  * Show title on kdialog progress bar (Closes: Bug#406928).
  * Updated standards.

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 19 Jul 2016 09:55:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Sergio Talens-Oliag <sto@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: dpkg-dev (>= 1.9), gettext
-Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: gettext
+Vcs-Git: https://github.com/stogh/ssft.git
+Standards-Version: 3.9.8
 
 Package: ssft
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: gettext-base, dialog, zenity | kdebase-bin
+Recommends: gettext-base, dialog, zenity | kde-baseapps-bin
 Description: Shell Scripts Frontend Tool
  Shell function library useful to build shell script frontends.
  .

## ssft 0.9.15

=== debian/changelog ===
ssft (0.9.15) unstable; urgency=medium

  * Changed github repository URL, now my user is 'sto' there.

 -- Sergio Talens-Oliag <sto@debian.org>  Mon, 19 Sep 2016 15:23:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergio Talens-Oliag <sto@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: gettext
-Vcs-Git: https://github.com/stogh/ssft.git
+Vcs-Git: https://github.com/sto/ssft.git
 Standards-Version: 3.9.8
 
 Package: ssft

## ssft 0.9.16

=== debian/changelog ===
ssft (0.9.16) unstable; urgency=medium

  * Depend on kdialog package, not kde-baseapps-bin (Closes: Bug#885842).

 -- Sergio Talens-Oliag <sto@debian.org>  Mon, 08 Jan 2018 17:07:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: gettext
 Vcs-Git: https://github.com/sto/ssft.git
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 
 Package: ssft
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: gettext-base, dialog, zenity | kde-baseapps-bin
+Recommends: gettext-base, dialog, zenity | kdialog
 Description: Shell Scripts Frontend Tool
  Shell function library useful to build shell script frontends.
  .

## ssft 0.9.17

=== debian/changelog ===
ssft (0.9.17) unstable; urgency=medium

  * Added Multi-Arch: foreign to the control file.

 -- Sergio Talens-Oliag <sto@debian.org>  Mon, 08 Jan 2018 18:12:00 +0100

## ssft 0.9.17+nmu1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2006 Sergio Talens-Oliag <sto@debian.org>
+# Copyright © 2006-2016 Sergio Talens-Oliag <sto@debian.org>
 
 # VARIABLES
 DESTDIR =

=== debian/changelog ===
ssft (0.9.17+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 15:38:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 Package: ssft
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: gettext-base, dialog, zenity | kdialog
 Description: Shell Scripts Frontend Tool

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix="/usr" DESTDIR="`pwd`/debian/`dh_listpackages`"

## ssft 0.9.17+nmu1build1

=== debian/changelog ===
ssft (0.9.17+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Dec 2025 22:46:02 +0100
